> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Order Payments

> Payment summary + transaction ledger for an order.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/orders/{order_id}/payments
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/orders/{order_id}/payments:
    get:
      tags:
        - admin
      summary: Get Order Payments
      description: Payment summary + transaction ledger for an order.
      operationId: get_order_payments_api_v1_admin_orders__order_id__payments_get
      parameters:
        - name: order_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Order Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_PaymentSummaryOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_PaymentSummaryOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/PaymentSummaryOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[PaymentSummaryOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaymentSummaryOut:
      properties:
        payment_status:
          type: string
          title: Payment Status
        payment_method:
          type: string
          title: Payment Method
        currency:
          type: string
          title: Currency
        total:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total
        amount_paid:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Paid
        amount_refunded:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount Refunded
        net:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Net
        refundable:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Refundable
        gateway_refs:
          additionalProperties:
            anyOf:
              - type: string
              - type: 'null'
          type: object
          title: Gateway Refs
        transactions:
          items:
            $ref: '#/components/schemas/OrderTransactionOut'
          type: array
          title: Transactions
          default: []
      type: object
      required:
        - payment_status
        - payment_method
        - currency
        - total
        - amount_paid
        - amount_refunded
        - net
        - refundable
        - gateway_refs
      title: PaymentSummaryOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OrderTransactionOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        kind:
          type: string
          title: Kind
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        currency:
          type: string
          title: Currency
        gateway:
          type: string
          title: Gateway
        gateway_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway Ref
        status:
          type: string
          title: Status
        is_manual:
          type: boolean
          title: Is Manual
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - kind
        - amount
        - currency
        - gateway
        - status
        - is_manual
        - created_at
      title: OrderTransactionOut
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````